Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType wldf-server-diagnosticType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}wldf-server-diagnosticType

Model
  `<...>
  name?, notes?, image-dir?, image-timeout?, events-image-capture-interval?, diagnostic-store-dir?, diagnostic-data-archive-type?, diagnostic-jdbc-resource?, synchronous-event-persistence-enabled?, event-persistence-interval?, diagnostic-context-enabled?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  Use this interface to configure the WebLogic Diagnostic Framework (WLDF) components that are defined for each WebLogic Server instance.

  MBean: `WLDFServerDiagnosticMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `image-dir` optional The default directory where the server stores captured diagnostic images.
`annonymous type derived from int` | `image-timeout` optional The default timeout period, in minutes, that the server uses to delay future diagnostic image-capture requests.
`long` | `events-image-capture-interval` optional The time span, in milliseconds, for which recently archived events will be captured in the diagnostic image.
`string` | `diagnostic-store-dir` optional The directory in which the current server maintains its diagnostic store.
`annonymous type derived from string` | `diagnostic-data-archive-type` optional Determines whether the current server persists its harvested metrics and event data in a diagnostic store (file-based store) or a JDBC based archive.
`string` | `diagnostic-jdbc-resource` optional Privileges: Redeploy or Restart required: Changes take effect after you redeploy the module or restart the server.
`boolean` | `synchronous-event-persistence-enabled` optional Use this interface to configure the WebLogic Diagnostic Framework (WLDF) components that are defined for each WebLogic Server instance.
`long` | `event-persistence-interval` optional The interval, in milliseconds, at which queued up instrumentation events will be periodically dispatched to the archive.
`boolean` | `diagnostic-context-enabled` optional Use this interface to configure the WebLogic Diagnostic Framework (WLDF) components that are defined for each WebLogic Server instance.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1